## for more options see
## - example.borg
## - http://borgbackup.readthedocs.io/en/stable


bwlimit = {{ brandwidth_limit }}

[source]
{% for target in backup_sources %}
include = {{ target }}
{% endfor %}

{% for target in backup_exclusions %}
exclude = {{ target }}
{% endfor %}

## for more info see : borg prune -h
prune = yes
keep = "{{ retention_in_days }}d"

[dest]
directory = {{ target_directory }}
host = {{ backup_host.url }}
port = {{ backup_host.ssh_port }}
user = {{ backup_host.user }}
archive = {now:%Y-%m-%dT%H:%M:%S}
compression = zstd
encryption = repokey
passphrase = {{ backup_encryption_pass }}
